Skip to Content
Booking

Create booking rate

Toegang

Lid van de organisatie met dit recht:

  • organization:settings:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

POST
/orgs/{organizationId}/booking/rates

Adds a seasonal price per night for an accommodation type.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
terrainTypeId*string
Length1 <= length
name*string
Length1 <= length <= 100
validFrom*string
Match^\d{4}-\d{2}-\d{2}$
validTo*string
Match^\d{4}-\d{2}-\d{2}$
pricePerNight*number
Range0 <= value
minNights?integer
Range1 <= value <= 365
Default1
priority?integer
Range0 <= value <= 100
Default0
arrivalDays?array<>
Itemsitems <= 7
Default[]

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//booking/rates' \  -H 'Content-Type: application/json' \  -d '{  "terrainTypeId": "string",  "name": "string",  "validFrom": "string",  "validTo": "string",  "pricePerNight": 0}'
Example Response
null